=== src/sensors/CMakeLists.txt ===
--- 
+++ 
@@ -92,3 +92,6 @@
     doc/qtsensors.qdocconf
 )
 
+if(QT_FEATURE_doc_snippets)
+    add_subdirectory(doc/snippets/sensors)
+endif()
