=== debian/control ===
Source: qt6-sensors
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qml6-module-qtquick (>= 6.9.3~),
               qml6-module-qttest (>= 6.9.3~),
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-svg-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-sensors.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-sensors
Maintainer: Neon CI <neon@kde.org>

Package: qt6-sensors
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6sensorsquick6 (<< 6.6.1~)
Replaces: libqt6sensors6, libqt6sensorsquick6, qml6-module-qtsensors
Description: Qt 6 Sensors library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Sensors library.

Package: qt6-sensors-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-sensors (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqt6sensors6-dev
Replaces: libqt6sensors6-dev, qt6-sensors-doc-dev, qt6-sensors-examples
Description: Qt 6 Sensors - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Sensors library.

Package: qt6-sensors-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-sensors-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-sensors-doc-html
Description: Qt 6 Sensors - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt Sensors library.

Package: libqt6sensors6
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtsensors
Architecture: all
Depends: qt6-sensors, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-dev
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-doc-html
Architecture: all
Depends: qt6-sensors-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-sensors-examples
Architecture: all
Depends: qt6-sensors-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
