=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qml6-module-qtquick (>= 6.10.0~),
-               qml6-module-qttest (>= 6.10.0~),
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-svg-dev (>= 6.10.0~),
+               qml6-module-qtquick (>= 6.10.1~),
+               qml6-module-qttest (>= 6.10.~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-svg-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
